| Version: 3.0.1

- Main Page
- Related Pages
- Categories
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
wxStdInputStreamBuffer Class Reference
Streams

`#include <wx/stdstream.h>`

Inheritance diagram for wxStdInputStreamBuffer:
[legend]

## Detailed Description

wxStdInputStreamBuffer is a std::streambuf derived stream buffer which reads from a wxInputStream.

Example:

wxFFileInputStream file("input.txt.gz");
wxZlibInputStream gzipInput(file, wxZLIB_GZIP);
wxStdInputStreamBuffer gzipStreamBuffer(gzipInput);
// redirect std::cin to read from compressed file
std::streambuf* streamBufferOld = std::cin.rdbuf(&gzipStreamBuffer);
// prompt for integer
int number;
std::cout << "Enter an integer: " << std::flush;
std::cin >> number;
std::cout << std::endl;
std::cout << "You entered the integer " << number << "." << std::endl;
// restore std::cin
std::cin.rdbuf(streamBufferOld);

##

Library: wxBase
Category: Streams

See Also
  wxInputStream, wxStdInputStream

## Public Member Functions

| wxStdInputStreamBuffer (wxInputStream &stream)
| Creates a std::steambuf derived stream buffer which reads from a wxInputStream.
virtual | ~wxStdInputStreamBuffer ()
| Destructor.

## Constructor & Destructor Documentation

wxStdInputStreamBuffer::wxStdInputStreamBuffer | ( | wxInputStream & | stream | ) |

Creates a std::steambuf derived stream buffer which reads from a wxInputStream.

Parameters

  stream | Stream to read from.

virtual wxStdInputStreamBuffer::~wxStdInputStreamBuffer | ( |  | ) |

inlinevirtual

Destructor.